Debian Bug report logs - #661615
ITP: lcas -- Authorization service for grid credentials

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dennis van Dok <dennisvd@nikhef.nl>

Date: Tue, 28 Feb 2012 14:33:14 UTC

Owned by: Dennis van Dok <dennisvd@nikhef.nl>

Severity: wishlist

Fixed in version lcas/1.3.19-1

Done: Dennis van Dok <dennisvd@nikhef.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#661615; Package wnpp. (Tue, 28 Feb 2012 14:33:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis van Dok <dennisvd@nikhef.nl>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 28 Feb 2012 14:33:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dennis van Dok <dennisvd@nikhef.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: lcas -- Authorization service for grid credentials
Date: Tue, 28 Feb 2012 15:32:20 +0100
Package: wnpp
Severity: wishlist
Owner: Dennis van Dok <dennisvd@nikhef.nl>


* Package name    : lcas
  Version         : 1.3.17
  Upstream Author : Nikhef Grid MW Security <grid-mw-security@nikhef.nl>
* URL             : http://www.nikhef.nl/pub/projects/grid/gridwiki/index.php/Site_Access_Control
* License         : Apache-2.0
  Programming Lang: C
  Description     : Authorization service for grid credentials

LCAS makes binary ('yes' or 'no') authorization decisions at the site
and resource level. In making this decision, it can use a variety of
inputs: the 'grid' name of the user (the Subject Distinguished Name),
any VO attributes the user has (like VOMS FQANs), the name of the
executable the user intends to execute. It supports basic black and
white list functionality, but also more complex VOMS-based
expressions, based on the GACL language.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 12 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Dennis van Dok <dennisvd@nikhef.nl>:
You have taken responsibility. (Sat, 17 Nov 2012 10:03:13 GMT) Full text and rfc822 format available.

Notification sent to Dennis van Dok <dennisvd@nikhef.nl>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 10:03:13 GMT) Full text and rfc822 format available.

Message #12 received at 661615-close@bugs.debian.org (full text, mbox):

From: Dennis van Dok <dennisvd@nikhef.nl>
To: 661615-close@bugs.debian.org
Subject: Bug#661615: fixed in lcas 1.3.19-1
Date: Sat, 17 Nov 2012 10:00:08 +0000
Source: lcas
Source-Version: 1.3.19-1

We believe that the bug you reported is fixed in the latest version of
lcas, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661615@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dennis van Dok <dennisvd@nikhef.nl> (supplier of updated lcas package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Oct 2012 14:30:29 +0100
Source: lcas
Binary: lcas-interface liblcas0 liblcas-dev
Architecture: source all amd64
Version: 1.3.19-1
Distribution: unstable
Urgency: low
Maintainer: Dennis van Dok <dennisvd@nikhef.nl>
Changed-By: Dennis van Dok <dennisvd@nikhef.nl>
Description: 
 lcas-interface - Local Centre Authorization Service API
 liblcas-dev - Local Centre Authorization Service development files
 liblcas0   - Local Centre Authorization Service runtime
Closes: 661615
Changes: 
 lcas (1.3.19-1) unstable; urgency=low
 .
   * New upstream release
Checksums-Sha1: 
 37bb092115b920eb0b2780ea131640f402ca961e 2097 lcas_1.3.19-1.dsc
 b2f2f1756638a1e6facf70255d82586556e0bada 402760 lcas_1.3.19.orig.tar.gz
 a3e5b3314eb12baa0e806f148884bebcdfb94855 3970 lcas_1.3.19-1.debian.tar.gz
 123205726bd375f5febe61dacdb72ceed2bae091 33992 lcas-interface_1.3.19-1_all.deb
 1ab789f5c2ee34e1ac0b5191491f916fc91140b0 46660 liblcas0_1.3.19-1_amd64.deb
 0625bc972d1504504ae2961edda7bf35d8e61d74 27918 liblcas-dev_1.3.19-1_amd64.deb
Checksums-Sha256: 
 b5a9e845c196459f972a1ef6078c7f767f1b9a856425fee9ae275e1f4dc73139 2097 lcas_1.3.19-1.dsc
 0978fdc30e7b06a9d602d3c3c52387bd4a17dd9554d485a384182e2e91e04108 402760 lcas_1.3.19.orig.tar.gz
 d8907d9591351e1eecc803f9f8b85a9e560f7aac40104401b767cda6c4415558 3970 lcas_1.3.19-1.debian.tar.gz
 e54062b53c53eda2562d61c8227d3296e58fd13021d0a8d2a2f10898bed87d74 33992 lcas-interface_1.3.19-1_all.deb
 2bf80bc2a7952fa500cba29721838e1ddb3f1370a8c7ee70a84346840255ccb4 46660 liblcas0_1.3.19-1_amd64.deb
 6079afb79a812a9f59fa69de3ec1e1ead78f6df0c22749af980e8c4588bed440 27918 liblcas-dev_1.3.19-1_amd64.deb
Files: 
 72aae6f67d7e3b8106d447513a9ade7c 2097 libs extra lcas_1.3.19-1.dsc
 9aea7a122c0ec7c75ce5e42ceca68d2b 402760 libs extra lcas_1.3.19.orig.tar.gz
 a88d40bfb66c49461107c1f2393a49f8 3970 libs extra lcas_1.3.19-1.debian.tar.gz
 1d776097479c63f40b71bbdc78bcb2bd 33992 libs extra lcas-interface_1.3.19-1_all.deb
 d41167f88882705af280cba1aa841f7d 46660 libs extra liblcas0_1.3.19-1_amd64.deb
 c51270793a27c229e92767119389cde5 27918 libdevel extra liblcas-dev_1.3.19-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQoRH3AAoJEOiuwv874alLLGYQAJLcA6FQx9IKqEbtkxWFTfGD
7W8fu5kVjlVGa5QRNWWPvWpnSn4ULmQ2wO1vqqOMbQyj/2MKrNWygDHWWLxMr0lt
GncafhnnK2q/as/vZU/Moh03S1lrNdmOnF+ZIm8Wsw8Gd/ug4B6HB1V2GEpZudgj
eUwITyVJ0guAIoJp21eLN9VJZjyvoZi/YGbk7trei5RqLBwwWUXzC0IJDYt6q2qf
dLvOlePIXwHkScHGH44Sn9aLHtRXE+QmD4ZijtRctvE+MD2pNF00xEYWn4QXkamE
/fPtdZmbmjZXzIpU1z1srklg6yC/D2glqUAwEKYTANReuqgmrWpBLbzajYxa+HBm
r+tYqEXyZHo6klf3T/SpuVOtyiroqKZFL3oUde5c6Gl0MHZNfg0k5ltPQOn3fAI1
bTGhAdY/2nnB6RJFxDsvGhJ0SORC7JMzG1ThwtMgJNii3f0p/ZFQDy45uu4S/VB8
ARJBitBlwcso1iTEtw4Nk7NFCVcnSpfgQDzTdOhirhasB5YR/rBaxUc6UiSTDS9w
mq59XvNgrSrFHo13KpDLC5cx3YDyx8j+R35DG/p74Oq8vCfn200qONUeqzrIoKar
EmJe5X7JrKL7PbLDaD8UktpN3IrMHipAT4qa1ebFKhvBA96iMD2vgyLnIqVPra75
2SQ1VlZpEX6UyQXH0Yw5
=/mP0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:26:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:15:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.